import java.awt.Font;

/**
 * Balkendiagramm für int-Array.
 * 
 * @author Schaller 
 * @version 29.11.18
 */
public class Balkendiagramm extends Picture

{
    // Liste mit allen Werten
    int[]    zahlen={45, 23, 123, 87, 98, 2, 1, 23, 23, 34};;

    // Schriften
    Font kleineSchrift;  
    Font grosseSchrift;

    public Balkendiagramm() {
        size(700, 400);
        background(0);
        kleineSchrift = new Font( Font.SANS_SERIF, Font.PLAIN, 12 );
        grosseSchrift = new Font( Font.SANS_SERIF, Font.PLAIN, 20 );
        zeichneBalken();
    }

    public void zeichneBalken() {
        clear();
        // Überschrift
        fill(255,255,255);
        textFont(grosseSchrift);
        text("Balkendiagramm", 2, 20);
        textFont(kleineSchrift);  

        // ----------------------------------------------------------------------
        // To Do
        // ----------------------------------------------------------------------
        // Version 1: 
        // Implementiere die ersten vier Balken durch Angabe der Koordinaten aus der Tabelle. 
        // Ergänze dazu die Methode zeicheBalken an der "ToDo"-Stelle.
        // Version 2:
        // Ersetze die y-Koordinate und die Breite durch die oben ermittelte Formel. 
        // Deklariere vorher eine Integer-Variable i. Setze i vor der ersten Rechteck 
        // auf 0, vor dem zweite auf 1 usw. Überprüfe, ob deine Rechtecke immer noch 
        // korrekt gezeichnet werden.
        // Version 3:
        // Verwende eine for-Schleife, um alle Balken zeichnen zu lassen. Diese muss das i
        // in jedem Durchgang um 1 erhöhen. Die Anzahl der Elemente im Array bekommst du 
        // durch zahlen.length.
        // Tipp: Vergleiche mit deiner Implementation von der Kaffeehaus-Täuschung.

    }

}
